%define name     sagcad
%define version  0.9.4
%define rel      1

Summary:	SagCAD is a CAD/CAM of 2D.
Name:		%{name}
Version:	%{version}
Release:	%{rel}
Group:		Applications/Graphics
License:	GPL
Source:		sagcad-%{version}.tar.gz
Packager:	Automatic
URL:		http://sagcad.sourceforge.jp/index.html
Vendor:		SagCAD project
Requires: glib >= 1.2, gtk+ >= 1.2
BuildRequires: gtk+-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SagCAD is a CAD/CAM of 2D. 
Designed for the X Window System, it uses the GTK+ 1.2 libraries. 
%description -l ja
SagCAD ͂Q CAD/CAM łB 
GTK+ 1.2 CugAX Window œ삵܂B

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
#if [ ! -x configure ]; then
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix}
else
  %configure
fi

make
%install
%makeinstall
%clean
[ -n $RPM_BUILD_ROOT -a "SRPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# %%doc AUTHORS* COPYING* README* TODO*
%{_prefix}/share/locale/*/LC_MESSAGES/sagcad.mo
%{_prefix}/share/sagcad/font/*
%{_prefix}/share/sagcad/doc/*
%{_prefix}/share/sagcad/example/*

%defattr(777,root,root)
%{_prefix}/share/sagcad/tool/*

%defattr(-,root,root)
%{_prefix}/bin/sagcad


%changelog
* Thu Sep 04 2003 Yutaka Sagiya <kappa@a6shighway.ne.jp>
- Fix up the spec file for current release

